package com.ruoyi.project.production.service;

import java.util.List;
import com.ruoyi.project.production.domain.TWsgl;

/**
 * 5S管理Service接口
 *
 * @author ruoyi
 * @date 2020-11-25
 */
public interface ITWsglService
{
    /**
     * 查询5S管理
     *
     * @param id 5S管理ID
     * @return 5S管理
     */
    public TWsgl selectTWsglById(Long id);

    /**
     * 查询5S管理列表
     *
     * @param tWsgl 5S管理
     * @return 5S管理集合
     */
    public List<TWsgl> selectTWsglList(TWsgl tWsgl);

    /**
     * 新增5S管理
     *
     * @param tWsgl 5S管理
     * @return 结果
     */
    public int insertTWsgl(TWsgl tWsgl);

    /**
     * 修改5S管理
     *
     * @param tWsgl 5S管理
     * @return 结果
     */
    public int updateTWsgl(TWsgl tWsgl);

    /**
     * 批量删除5S管理
     *
     * @param ids 需要删除的5S管理ID
     * @return 结果
     */
    public int deleteTWsglByIds(Long[] ids);

    /**
     * 删除5S管理信息
     *
     * @param id 5S管理ID
     * @return 结果
     */
    public int deleteTWsglById(Long id);
}